<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_backupAppliance_applianceBackup" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup">
    <section id="error_backuprestore" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
    <form id="applianceBackupForm" autocomplete="off">
        <p>
            <fmt:message key="backupandrestore.appliancebackup.help" />
        </p>
        <fieldset>
            <legend class="visuallyhidden">
                <fmt:message key="backupandrestore.appliancebackup.title" />
            </legend>
            <ul class="labelValuePairs">

                <li>
                    <label for="ipAddress">
                        <u>
                            <fmt:message key="backupandrestore.appliancebackup.backuppath" />
							&nbsp;<i class="tooltip-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancebackup.tooltip.backuppath" />'> </i>
                        </u>
                    </label>
                    <input id="backupPath" type="text" value="" class="value" placeholder='<fmt:message key="backupandrestore.appliancebackup.backuppathplaceholder" />' data-bind="value: backupPath, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.disableBackupAppliance, blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.validateBackupPath
                           }" required />

                </li>

            </ul>
        </fieldset>
        <fieldset>
            <legend>
                <fmt:message key="credentialprofile.title" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <span class="label">
                        <u>
                            <fmt:message key="backupandrestore.appliancebackuprestore.credentialprofile" />
							&nbsp;<i class="tooltip-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancebackuprestore.tooltip.credentialprofile" />'> </i>
                        </u>
                    </span>
                    <span class="value">
                        <label for="credProfile" class="visuallyhidden">
                                <u>
                                    <fmt:message key="credentialprofile.title" />
                                </u>
                            </label>
                        <select id="credProfile" name="credProfile" required
                                data-bind="options: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.credentialProfiles,
                                            optionsText: 'name',
                                            optionsValue: 'id',
                                            event: {
                                               change: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.disableBackupAppliance
                                           },
                                            value: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.consoleCredentialProfile,
                                            optionsCaption: '<fmt:message key="credentialprofile.selectcredentialprofile" />'">
                        </select>

                        <a id="createCredentialProfileConsole" href="#/credentialProfile.editCredentialProfile">
                                <fmt:message key="credentialprofile.createnew" />
                            </a>
                        <!--<a id="createCredProfile" data-bind="attr: { href: '#/credentialProfile.details' }">
                                <fmt:message key="credentialprofile.createnew" />
                            </a>-->
                    </span>
                </li>
            </ul>
        </fieldset>
        <fieldset>
            <legend>
                <fmt:message key="backupandrestore.appliancebackup.verifyPathAuth" />
            </legend>
            <ul class="labelValuePairs">
                <li>
                    <label for="backupEncryptPassword">
                        <u>
                            <fmt:message key="backupandrestore.appliancebackup.encryptPassword" />
							&nbsp;<i class="tooltip-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancebackuprestore.tooltip.encryptPassword" />'> </i>
                        </u>
                    </label>
                    <input id="backupEncryptPassword" type="password" required value="" class="value" data-bind="value: backupEncryptPassword, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.disableBackupAppliance, blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.trimEncryptPasswordText
                           }" />

                </li>
                <li>
                    <label for="backupVerifyPassword">
                        <u>
                            <fmt:message key="backupandrestore.appliancebackup.verifyPassword" />
							&nbsp;<i class="tooltip-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="backupandrestore.appliancebackuprestore.tooltip.verifyPassword" />'> </i>
                        </u>
                    </label>
                    <input id="backupVerifyPassword" type="password" required value="" class="value" data-bind="value: backupVerifyPassword, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.disableBackupAppliance, blur: DellClarity.SCVMMAdmin.ViewModel.AdminPortal.ApplianceBackup.trimBackupVerifyPasswordText
                           }" />

                </li>
            </ul>
        </fieldset>
        <div class="sectionEditButtons">
            <button id="backupTestConnection" class="cux-button cux-button-large cux-button-primary" type="submit" data-bind="click: validatePassword, enable: backupPathTestFlag() === false">
                <fmt:message key="backupandrestore.appliancerestore.action.testconnection" />
            </button>
            <button id="btnYes" class="cux-button cux-button-large cux-button-primary"  type="submit"">
                <fmt:message key="backupandrestore.appliancebackup.backup" />
            </button>
            <button id="btnCancel" class="cux-button cux-button-large cux-button-danger"  type="button">
                <!--ko if: backupBtnStatus() -->
                <fmt:message key="backupandrestore.appliancerestore.close" />
                <!-- /ko -->
                <!-- ko ifnot: backupBtnStatus() -->
                <fmt:message key="backupandrestore.appliancebackup.cancel" />
                <!-- /ko -->
            </button>
        </div>

    </form>
</section>
