<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_certificates_generatecertificate" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate">
    <section id="error_certificates_generatecertificate" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" ></section>
	<table style="border-bottom: 1px solid #007db8;">
		<tbody>
			<tr>
				<td>
					<i style="font-size: 48px;/*35pt;*/ padding-right:1em" class="cux-icon cux-icon-info-sign info-color"></i>
				</td>
				<td>
				<p><fmt:message key="certificates.generatecsr.Info" /></p>					
				</td>
			</tr>			
		</tbody>
	</table>
    <p>
        <fmt:message key="certificates.generatecsr.help" />
    </p>
	<form id="generateCSRForm" autocomplete="off">
		<fieldset>
			<legend class="visuallyhidden">
				<fmt:message key="certificates.generatecsr.help" />
			</legend>
			<ul class="labelValuePairs">
				<li>
					<label for="distinguishedName">
						<u>
							<fmt:message key="certificates.generatecsr.distinguishedName" />&nbsp;<i class="cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="certificates.generatecsr.distinguishedName.Info" />'> </i>
						</u>
					</label>
					<input id="distinguishedName" type="text" value="" maxlength="64" class="value" title="Distinguished Name" placeholder='<fmt:message key="certificates.generatecsr.distinguishedName.placeHolder"/>' required  data-bind="value: distinguishedName, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.distinguishedNameValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.distinguishedNameValidation
                           }"/>                
				</li>
                <li>
                    <label for="primarySubjectAlternateName">
                        <u>
                            <fmt:message key="certificates.generatecsr.primarySubjectAlternateName" />&nbsp;<i class="cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="certificates.generatecsr.primarySubjectAlternateName.Info" />'> </i>
                        </u>
                    </label>
					<input id="primarySubjectAlternateName" type="text" value="" class="value" title="Primary Subject Alternate Name" placeholder='<fmt:message key="certificates.generatecsr.primarySubjectAlternateName.placeHolder"/>' data-bind="value: primarySubjectAlternateName, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.primarySANValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.primarySANValidation
                           }"/>                 
                </li>
                <li>
                    <label for="businessName">
                        <u>
                            <fmt:message key="certificates.generatecsr.businessName" />
                        </u>
                    </label>
					<input id="businessName" type="text" value="" maxlength="64" class="value" title="Business Name"  required data-bind="value: businessName, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation
                           }"/>                 
                </li>
                <li>
                    <label for="departmentName">
                        <u>
                            <fmt:message key="certificates.generatecsr.departmentName" />
                        </u>
                    </label>
					<input id="departmentName" type="text" value="" maxlength="64" class="value" title="Department Name" required data-bind="value: departmentName, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation
                           }"/>                 
                </li>
                <li>
                    <label for="locality">
                        <u>
                            <fmt:message key="certificates.generatecsr.locality" />
                        </u>
                    </label>
					<input id="locality" type="text" class="value" maxlength="64" value="" title="Locality" required data-bind="value: locality, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation
                           }"/>                 
                </li>
                <li>
                    <label for="state">
                        <u>
                            <fmt:message key="certificates.generatecsr.state" />
                        </u>
                    </label>
					<input id="state" type="text" class="value" maxlength="64" value="" title="State" required data-bind="value: state, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.csrInputValidation
                           }"/>                 
                </li>
                <li>
                    <label for="country">
                        <u>
                            <fmt:message key="certificates.generatecsr.country" />
                        </u>
                    </label>					
                    <select id="country" class="value" data-bind="value: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.country, 
                        options: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.countryList,  
                        optionsValue: 'value', 
                        optionsText: 'text',
                        attr:{required: true},
						optionsCaption : '<fmt:message key="certificates.generatecsr.label.country" />'"></select>
                </li>
                <li>
                    <label for="email">
                        <u>
                            <fmt:message key="certificates.generatecsr.email" />
                        </u>
                    </label>
					<input id="email" type="text" class="value" maxlength="64" value="" title="Email" data-bind="value: email, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.emailValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.emailValidation
                           }"/>                 
                </li>
                <li>
                    <label for="secondarySubjectAlternateName">
                        <u>
                            <fmt:message key="certificates.generatecsr.secondarySubjectAlternateName" />&nbsp;<i class="cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="certificates.generatecsr.secondarySubjectAlternateName.Info" />'> </i>
                        </u>
                    </label>
					<input id="secondarySubjectAlternateName" type="text" required placeholder='<fmt:message key="certificates.generatecsr.secondarySubjectAlternateName.placeholder"/>' value="" class="value" title='<fmt:message key="certificates.generatecsr.secondarySubjectAlternateName.title"/>'  data-bind="value: secondarySubjectAlternateName, event: {
                               keyup: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.secondarySANValidation, blur: DellClarity.SCVMMAdmin.ViewModel.Certificates.Generatecertificate.secondarySANValidation
                           }"/>                 
                </li>                  
			</ul>
		</fieldset>

        <div class="sectionEditButtons">
            <button id="generateCSR" class="cux-button cux-button-large cux-button-primary" type="submit">
                <fmt:message key="certificates.generatecsr.action.generate" />
            </button>

			<button id="generateCSRCancel" class="cux-button cux-button-large cux-button-danger" type="button">
                <fmt:message key="certificates.generatecsr.action.cancel" />
            </button>
        </div>
    </form>
</section>
