<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_certificates_home" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.Certificates.Home">
<section id="error_certificates_home" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }"></section>
    <header class="page-heading">
        <h1>
            <fmt:message key="certificates.home.title" />
        </h1>
    </header>
	<p>
		<fmt:message key="certificates.home.help" />
	</p>
	<fieldset>
		<button id="generateCertificate" class="cux-button cux-button-medium cux-button-primary" type="button">
			<i class="cux-icon cux-icon-chevron-sign-right"></i><span>
				<fmt:message key="certificates.home.generateCSR" />
			</span>
		</button>
		<button id="uploadCertificate" class="cux-button cux-button-medium cux-button-primary" type="button">
			<i class="cux-icon cux-icon-upload"></i><span>
				<fmt:message key="certificates.home.uploadCertificate" />
			</span>
		</button>
		<button id="resetDefaultCertificate" class="cux-button cux-button-medium cux-button-primary" type="button">
			<i class="cux-icon cux-icon-undo"></i><span>
				<fmt:message key="certificates.home.resetDefaultCertificate" />
			</span>
		</button>
	</fieldset>
    <form id="certificatesForm" autocomplete="off">
		<fieldset>
            <legend>
                <fmt:message key="certificates.home.certificateDetails" />
            </legend>
			<h2 style="margin-top:0px;">
				<fmt:message key="certificates.home.issuedTo" />
			</h2>
			<ul class="labelValuePairs">
				<li>
					<label for="toDistinguishedName">
						<u>
							<fmt:message key="certificates.home.distinguishedName" />
						</u>
					</label>
					<span id="toDistinguishedName" class="value" data-bind="text: toDistinguishedName"></span>
				</li>
				<li>
					<label for="toSubjectAlternativeName1">
						<u>
							<fmt:message key="certificates.home.toSubjectAlternativeName1" />
						</u>
					</label>
					<span id="toSubjectAlternativeName1" class="value" data-bind="text: toSubjectAlternativeName1"></span>
				</li>
				<li>
					<label for="toBusinessName">
						<u>
							<fmt:message key="certificates.home.businessName" />
						</u>
					</label>
					<span id="toBusinessName" class="value" data-bind="text: toBusinessName"></span>
				</li>
				<li>
					<label for="toDepartmentName">
						<u>
							<fmt:message key="certificates.home.departmentName" />
						</u>
					</label>
					<span id="toDepartmentName" class="value" data-bind="text: toDepartmentName"></span>
				</li>
				<li>
					<label for="toLocality">
						<u>
							<fmt:message key="certificates.home.locality" />
						</u>
					</label>
					<span id="toLocality" class="value" data-bind="text: toLocality"></span>
				</li>
				<li>
					<label for="toState">
						<u>
							<fmt:message key="certificates.home.state" />
						</u>
					</label>
					<span id="toState" class="value" data-bind="text: toState"></span>
				</li>
				<li>
					<label for="toCountry">
						<u>
							<fmt:message key="certificates.home.country" />
						</u>
					</label>
					<span id="toCountry" class="value" data-bind="text: toCountry"></span>
				</li>
				<li>
					<label for="toEmail">
						<u>
							<fmt:message key="certificates.home.email" />
						</u>
					</label>
					<span id="toEmail" class="value" data-bind="text: toEmail"></span>
				</li>
				<li>
					<label for="toSubjectAlternativeName2">
						<u>
							<fmt:message key="certificates.home.toSubjectAlternativeName2" />
						</u>
					</label>
					<span id="toSubjectAlternativeName2" class="value" data-bind="text: toSubjectAlternativeName2"></span>
				</li>
				<!-- <li>
					<label for="subjectAlternateName">
						<u>
							<fmt:message key="certificates.home.subjectAlternateName" />
						</u>
					</label>
					<span id="subjectAlternateName" class="value" data-bind="text: subjectAlternateName"></span>
				</li> -->
			</ul>	
			<h2>
				<fmt:message key="certificates.home.issuedBy" />
			</h2>
			<ul class="labelValuePairs">
				<li>
					<label for="byDistinguishedName">
						<u>
							<fmt:message key="certificates.home.distinguishedName" />
						</u>
					</label>
					<span id="byDistinguishedName" class="value" data-bind="text: byDistinguishedName"></span>
				</li>
				<li>
					<label for="byBusinessName">
						<u>
							<fmt:message key="certificates.home.businessName" />
						</u>
					</label>
					<span id="byBusinessName" class="value" data-bind="text: byBusinessName"></span>
				</li>
				<li>
					<label for="byDepartmentName">
						<u>
							<fmt:message key="certificates.home.departmentName" />
						</u>
					</label>
					<span id="byDepartmentName" class="value" data-bind="text: byDepartmentName"></span>
				</li>
				<li>
					<label for="byLocality">
						<u>
							<fmt:message key="certificates.home.locality" />
						</u>
					</label>
					<span id="byLocality" class="value" data-bind="text: byLocality"></span>
				</li>
				<li>
					<label for="byState">
						<u>
							<fmt:message key="certificates.home.state" />
						</u>
					</label>
					<span id="byState" class="value" data-bind="text: byState"></span>
				</li>
				<li>
					<label for="byCountry">
						<u>
							<fmt:message key="certificates.home.country" />
						</u>
					</label>
					<span id="byCountry" class="value" data-bind="text: byCountry"></span>
				</li>
				<li>
					<label for="byEmail">
						<u>
							<fmt:message key="certificates.home.email" />
						</u>
					</label>
					<span id="byEmail" class="value" data-bind="text: byEmail"></span>
				</li>
			</ul>	
			<h2>
				<fmt:message key="certificates.home.valid" />
			</h2>
			<ul class="labelValuePairs">
				<li>
					<label for="validFrom">
						<u>
							<fmt:message key="certificates.home.validFrom" />
						</u>
					</label>
					<span id="validFrom" class="value" data-bind="text: validFrom"></span>
				</li>
				<li>
					<label for="validTo">
						<u>
							<fmt:message key="certificates.home.validTo" />
						</u>
					</label>
					<span id="validTo" class="value" data-bind="text: validTo"></span>
				</li>
			</ul>
		</fieldset>
    </form>
</section>
