<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<section id="page_wizard_consoleEnrollment" data-bind="with: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll">
    <section id="error_enrollConsole" role="alert" class="messageBox" data-bind="template: { name: DellClarity.Controls.MessageBox.templateName }" />
	<br/>
    <form id="consoleCredentialForm" autocomplete="off">
        <!-- ko with: enrollConsoleModel -->
        <fieldset>
            <legend class="visuallyhidden">
               <fmt:message key="consoleenrollment.enrollconsole.title" />
            </legend>
        </fieldset>
			
        <fieldset id="console"  class="subsection">
            <ul class="labelValuePairs">
				<li>
					<label for="consoleName">
						<u class="requiredField">
							<fmt:message key="consoleenrollment.enrollconsole.label.scomconsolename" />
						</u>
					</label>
					<input id="consoleName" type="text" value="" class="value" title="Console Name" data-bind="value: consoleName, event: { keyup: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.capsConsoleName, blur: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.trimConsoleName }, 
                        valueUpdate: 'input'" required maxlength="59" />                
				</li>
                <li>
                    <label for="consoleFqdn">
                        <u class="requiredField">
                            <fmt:message key="consoleenrollment.enrollconsole.label.scomconsolefqdn" />
							&nbsp;<i class="enroll-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="consoleenrollment.enrollconsole.tooltip.scomconsolefqdn" />'> </i>
                        </u>
                    </label>
                    <input id="consoleFqdn" type="text" value="" data-bind="value: consoleFqdn,
                           styledDisabled: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.editFlag() == true,
                           event: {
                               blur: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.trimConsoleFQDNText,
                               keyup: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.disableEnrollConsole,
                               change: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.validateConsoleFQDN
                           }, valueUpdate: 'input'" class="value" required maxlength="50"/>
                </li>
				
                <li class="applyCredProfileForm">
                <span class="label">
                    <u class="requiredField">
                        <fmt:message key="consoleenrollment.enrollconsole.label.consolecredentials" />
						&nbsp;<i class="enroll-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="consoleenrollment.enrollconsole.tooltip.scomconsolecredentials" />'> </i>
                    </u>
                </span>
                <span class="value">
               
                  <label for="credentialProfileConsole" class="visuallyhidden">
                    <u>
                      <fmt:message key="consoleenrollment.enrollconsole.label.scomconsolecredentials" />
						&nbsp;<i class="enroll-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="consoleenrollment.enrollconsole.label.scomconsolecredentials" />'> </i>
                    </u>
                  </label>
                    <select id="credentialProfileConsole" data-bind="value: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.consoleCredentialProfile, 
                        options: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.credentialProfiles,  
                        optionsValue: 'id', 
                        optionsText: 'name',
                        attr:{required: true},
                        event: { change: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.disableEnrollConsole },
                        optionsCaption : '<fmt:message key="consoleenrollment.enrollconsole.label.selectcredential" />'"></select>
                       
                 
                    <a id="createCredentialProfileConsole" href="#/credentialProfile.editCredentialProfile">
						<fmt:message key="consoleenrollment.enrollconsole.action.newcredential" />
					</a>
                  
                </span>
				
              </li>
            </ul>							          
			<div class="consoleEnrollmentWizard">
				<button id="enrollmentTestConnection" class="cux-button cux-button-medium  cux-button-primary">
					<fmt:message key="consoleenrollment.enrollconsole.action.testconnection" />
				</button>
			</div>
        </fieldset>
        <!-- /ko -->
		<fieldset class="subsection">
			<p><fmt:message key="consoleenrollment.enrollconsole.snmpv1v2community.description" />&nbsp;<a data-bind="event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.enrollOnlineAlertsHelp}">online help</a></p>
			<ul>
				<li>
                    <label for="snmpv1v2community">
                        <u class="requiredField">
                            <fmt:message key="consoleenrollment.enrollconsole.label.snmpv1v2community.label" />&nbsp;<i class="enroll-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="consoleenrollment.enrollconsole.label.snmpv1v2community" />'> </i>
                        </u>
                    </label>
                    <input id="snmpv1v2community" value="public" maxlength="255" title='<fmt:message key="consoleenrollment.enrollconsole.snmpv1v2community.hint" />' name="snmpv1v2community" data-bind="value: snmpv1v2community" type="password"  class="value" required>&nbsp;<i id="eye" class="cux-icon cux-icon-eye-open"></i>
                </li>
            </ul>
		</fieldset>
		<fieldset class="monitoring">
			<p><fmt:message key="consoleenrollment.enrollconsole.monitoring.description" />&nbsp;
			<span id="monitoringNote" style="visibility:hidden"><fmt:message key="consoleenrollment.enrollconsole.monitoring.note" /></span>
			</p>
			<ul>
				<li id="monitoringscope">
                    <span class="label">
                        <u class="requiredField">
                            <fmt:message key="consoleenrollment.enrollconsole.label.monitoringscope" />&nbsp;<i class="enroll-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="consoleenrollment.enrollconsole.monitoringscope.info" />'> </i>
                        </u>
                    </span>
                    <input id="monitoringscopeserver" name="monitoringscope" value="Server" data-bind="checked: monitoringscopeserver, event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.monitoringScopeCheck}" type="checkbox"  class="value">
                    <label for="monitoringscopeserver">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.label.monitoringscope.server" />
                        </u>
                    </label>
                    <input id="monitoringscopechassis" name="monitoringscope" value="Chassis" data-bind="checked: monitoringscopechassis, event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.monitoringScopeCheck}" type="checkbox"  class="value">
                    <label for="monitoringscopechassis">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.label.monitoringscope.chassis" />
                        </u>
                    </label>
                    <input id="monitoringscopenetworking" name="monitoringscope" value="Networking" data-bind="checked: monitoringscopenetworking,  event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.monitoringScopeCheck}" type="checkbox"  class="value">
                    <label for="monitoringscopenetworking">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.label.monitoringscope.networking" />
                        </u>
                    </label>
                </li>
				<li>
                    <span class="label" style="margin-top: 5px;">
                        <u class="requiredField">
                            <fmt:message key="consoleenrollment.enrollconsole.label.monitoringmode" />&nbsp;<i class="enroll-info cux-icon cux-icon-info-sign status-icon info-status" title='<fmt:message key="consoleenrollment.enrollconsole.monitoringmode.info" />'> </i>
                        </u>
                    </span>
                    <input type="radio" id="scalable" name="monitoringmode" value="scalable" data-bind="checked: monitoringmode, event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.monitoringmodeCheck}" >
					<label for="scalable">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.label.monitoringmode.scalable" />
                        </u>
                    </label>
					<input type="radio" id="detailed" name="monitoringmode" value="detailed" data-bind="checked: monitoringmode, event: { click: DellClarity.SCVMMAdmin.ViewModel.ConsoleEnrollment.Wizard.Enroll.monitoringmodeCheck}" >
					<label for="detailed">
                        <u>
                            <fmt:message key="consoleenrollment.enrollconsole.label.monitoringmode.detailed" />
                        </u>
                    </label>
                </li>
            </ul>
		</fieldset>
	</form>
</section>
